Skip to main content
`Ctrl`+`K`

# pandas.Series.to_string

Series.to_string(buf=None, na_rep='NaN', float_format=None, header=True, index=True, length=False, dtype=False, name=False, max_rows=None, min_rows=None)

  Render a string representation of the Series.

  Parameters:
    buf StringIO-like, optional

      Buffer to write to.

    na_rep str, optional

      String representation of NaN to use, default ‘NaN’.

    float_format one-parameter function, optional

      Formatter function to apply to columns’ elements if they are floats, default None.

    header bool, default True

      Add the Series header (index name).

    index bool, optional

      Add index (row) labels, default True.

    length bool, default False

      Add the Series length.

    dtype bool, default False

      Add the Series dtype.

    name bool, default False

      Add the Series name if not None.

    max_rows int, optional

      Maximum number of rows to show before truncating. If None, show all.

    min_rows int, optional

      The number of rows to display in a truncated repr (when number of rows is above max_rows).

  Returns:
    str or None

      String representation of Series if `buf=None`, otherwise None.

  Examples

      >>> ser = pd.Series([1, 2, 3]).to_string()
      >>> ser
      '0    1\n1    2\n2    3'